How to search next departures by IDs
User story
You want to request next departures information from Rome Termini central station using a given station ID.
Request
Find next departures through a single GET request. The only required
parameter ids specifies a comma-separated list of station identifiers.
The following request will find next departures from the selected
station ID 415712984:
GET https://transit.hereapi.com/v8/departures
?ids=415712984
Authorization: Bearer {TOKEN}Note
For more information on the currently available authentication methods, see the Identity & Access Management Developer Guide.
Response
The response to the request contains the following information blocks:
- a maximum of 50 departure board elements per station for all nearby stations.
The optional maxPerBoard request parameter sets the maximum number of departures for each board element the response should include.
- Each departure element in
departureswithin theboardsresponse object includes the following high-level elements:placewith station/stop information such as name, location, id, type.departureswith transport information such as departure time, delay, status, operator and so on.attributionswith required information to be displayed such as disclaimers.
{
"boards": [
{
"place": {
"name": "Roma Termini",
"type": "station",
"location": {
"lat": 41.90054,
"lng": 12.502168
},
"id": "415712984"
},
"departures": [
{
"time": "2020-04-21T10:28:00+02:00",
"transport": {
"mode": "regionalTrain",
"name": "FL4",
"category": "Regional Train",
"color": "#7A2900",
"textColor": "#FFFFFF",
"headsign": "Velletri"
},
"agency": {
"id": "aDmtre00",
"name": "Trenitalia",
"website": "https://www.trenitalia.com/"
}
},
{
"time": "2020-04-21T10:35:00+02:00",
"transport": {
"mode": "regionalTrain",
"name": "LE",
"category": "Regional Train",
"color": "#4C8DC1",
"textColor": "#000000",
"headsign": "Fiumicino Aeroporto"
},
"agency": {
"id": "aDmtre00",
"name": "Trenitalia",
"website": "https://www.trenitalia.com/"
}
},
{
"time": "2020-04-21T10:42:00+02:00",
"transport": {
"mode": "regionalTrain",
"name": "FL8",
"category": "Regional Train",
"color": "#00B85C",
"textColor": "#FFFFFF",
"headsign": "Nettuno"
},
"agency": {
"id": "aDmtre00",
"name": "Trenitalia",
"website": "https://www.trenitalia.com/"
}
},
{
"time": "2020-04-21T10:50:00+02:00",
"transport": {
"mode": "regionalTrain",
"name": "LE",
"category": "Regional Train",
"color": "#4C8DC1",
"textColor": "#000000",
"headsign": "Fiumicino Aeroporto"
},
"agency": {
"id": "aDmtre00",
"name": "Trenitalia",
"website": "https://www.trenitalia.com/"
}
},
{
"time": "2020-04-21T11:05:00+02:00",
"transport": {
"mode": "regionalTrain",
"name": "LE",
"category": "Regional Train",
"color": "#4C8DC1",
"textColor": "#000000",
"headsign": "Fiumicino Aeroporto"
},
"agency": {
"id": "aDmtre00",
"name": "Trenitalia",
"website": "https://www.trenitalia.com/"
}
}
],
"attributions": [
{
"id": "-link-0",
"href": "http://creativecommons.org/licenses/by/3.0/it/",
"text": "Some line names used in this product or service were edited to align with official transportation maps.",
"type": "disclaimer"
}
]
}
]
}Updated 14 days ago